<?php
/**
 * Template part for displaying a message that posts cannot be found
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package digicrew
 */

?>

<section class="no-results not-found">
	<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'digicrew' ); ?></h1>
	<div class="page-content">
		<?php
		if ( is_home() && current_user_can( 'publish_posts' ) ) :
			printf(
				'<p>' . wp_kses(
					/* translators: 1: link to WP admin new post page. */
					__( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'digicrew' ),
					array(
						'a' => array(
							'href' => array(),
						),
					)
				) . '</p>',
				esc_url( admin_url( 'post-new.php' ) )
			);
		elseif ( is_search() ) :
			?>
			<p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'digicrew' ); ?></p>
			<div class="widget widget_search"><?php get_search_form(); ?></div>
			<?php
		else :
			?>
			<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'digicrew' ); ?></p>
			<div class="widget widget_search"><?php get_search_form(); ?></div>
			<?php
		endif;
		?>
	</div><!-- .page-content -->
</section><!-- .no-results -->